Real function Norm1(A,n)
! 1-norma matricii A(n*n)= norma coloanelor
real a(n,n), acol(n)

!acol =SUM(abs(A), dim =1)

do j =1,n
acol(j) =SUM( abs(A(1:n,j)) )
enddo

norm1 =maxval(acol)

END function norm1
